LinuxQuestions.org
Visit the LQ Articles and Editorials section
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software > Linux - Games
User Name
Password
Linux - Games This forum is for all discussion relating to gaming in Linux.

Notices

Reply
 
Search this Thread
Old 05-05-2004, 09:41 AM   #1
mrwriter
LQ Newbie
 
Registered: May 2004
Location: Houston, TX
Distribution: Slackware 9.1
Posts: 3

Rep: Reputation: 0
Segmentation fault when starting xmame (xgl)


The roms seem to load fine, but then I get this,

GLINFO: loaded OpenGL library libGL.so!
GLINFO: loaded GLU library libGLU.so!

GLINFO: OpenGL Driver Information:
vendor: Brian Paul,
renderer Mesa X11,
version 1.5 Mesa 6.0.1
GLINFO: GLU Driver Information:
Segmentation fault

Anyone else encountered this problem? Thanks
 
Old 05-25-2004, 08:00 PM   #2
Hell255
LQ Newbie
 
Registered: May 2004
Posts: 24

Rep: Reputation: 15
I had the same problem.
I started vasara/ vasara2 / raystorm ... and all gave a sement. fault. Then i switched to xmame.x11 and changed the bit depth to 24 and it worked....
i thinks its a bug in the nvidia drivers... =( or in the xgl implementation

any other sugestion ?
 
Old 05-25-2004, 08:21 PM   #3
980501427
LQ Newbie
 
Registered: May 2004
Posts: 2

Rep: Reputation: 0
It looks you have installed Mesa3D library, Installing freedesktop's Xlib will cause this problem also. Because of these software modify some X library links.
Make sure using the original X library, libGL.so, libGLU.so, ... etc and with correct links. GOOD LUCK.
 
Old 05-26-2004, 03:01 PM   #4
Hell255
LQ Newbie
 
Registered: May 2004
Posts: 24

Rep: Reputation: 15
hm.. and how do i change those links.. or how can i check which libGL/libGLU should be used? here is what ive found:
---------------------------------------------------------------------------------------------------------------
Hell-linux:~# find / libGL.so | grep libGL.so
/root/#install-old/NVIDIA-Linux-x86-1.0-5336-pkg1.old/usr/lib/libGL.so.1.0.5336
/root/#install-old/NVIDIA-Linux-x86-1.0-5336-pkg1.old/usr/lib/tls/libGL.so.1.0.5336
/usr/lib/tls/libGL.so.1.0.5336
/usr/lib/tls/libGL.so.1
/usr/lib/tls/libGL.so
/usr/lib/libGL.so
/usr/lib/libGL.so.1.0.5336
/usr/lib/libGL.so.1
---------------------------------------------------------------------------------------------------------------
Hell-linux:~# find / libGLU.so | grep libGLU.so
/root/#install-old/winex3.2.1 - doesnt work/usr/lib/transgaming_winex3/winex/lib/libGLU.so.1.3.030501
/root/#install-old/winex3.2.1 - doesnt work/usr/lib/transgaming_winex3/winex/lib/libGLU.so
/root/#install-old/winex3.2.1 - doesnt work/usr/lib/transgaming_winex3/winex/lib/libGLU.so.1
/usr/lib/libGLU.so.1
/usr/lib/libGLU.so.1.3
/usr/lib/libGLU.so
/usr/lib/transgaming_winex3/winex/lib/libGLU.so.1.3.030501
/usr/lib/transgaming_winex3/winex/lib/libGLU.so
/usr/lib/transgaming_winex3/winex/lib/libGLU.so.1
/usr/X11R6/lib/libGLU.so.1.3
/usr/X11R6/lib/libGLU.so.1
/usr/X11R6/lib/libGLU.so
---------------------------------------------------------------------------------------------------------------
sorry, i'm just a stupid n00b sometimes
 
Old 05-27-2004, 12:30 AM   #5
980501427
LQ Newbie
 
Registered: May 2004
Posts: 2

Rep: Reputation: 0
My video card is ati radeon. I build the driver (radeon.o) from xfree86 drm instead of linux kernel's driver. If I use Mesa's libGL.so, segment fault!
/usr/X11R6/libGL.so -> libGL.so.1.2
/usr/X11R6/libGL.so.1 -> libGL.so.1.2
/usr/X11R6/libGL.so.1.2
/usr/X11R6/libGL.so.1.5.060001
/usr/X11R6/libGLU.so -> libGL.so.1.3
/usr/X11R6/libGLU.so.1 -> libGL.so.1.3
/usr/X11R6/libGLU.so.1.3
/usr/X11R6/libGLU.so.1.3.060001
The libGL.so.1.5.060001 is the Mesa's libGL.so, libGL.so.1.2 is Xfree86's, same as the libGLU.so.
I do not have nv card. I think that you should use libGL.so, libGLU.so, libglx.so with correct links which are from nv driver package.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
[SOLVED] Compiling my own xmame.xgl, but no graphics. Linux.tar.gz Linux - Games 1 11-04-2010 10:46 AM
Segmentation fault when starting Mozilla eam Linux - Software 11 06-27-2006 01:38 PM
Segmentation Fault when starting Maya 7 Renato Cabelino Linux - Software 4 11-29-2005 03:32 PM
Segmentation fault when starting WINE :( quinnk Linux - Software 1 07-12-2004 02:45 AM
Segmentation fault when starting xmame (xgl) mrwriter Linux - Software 0 05-05-2004 09:15 AM


All times are GMT -5. The time now is 06:54 AM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration